epp_TransferStatusType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.epp_TransferStatusType class

### org.openrtk.idl.epprtk

# Class epp_TransferStatusType

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.epp_TransferStatusType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_TransferStatusType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of transfer types generic for all objects. Six transfer status types are permitted: PENDING, CLIENT_APROVED, CLIENT_CANCELLED, CLIENT_REJECTED, SERVER_APPROVED and SERVER_CANCELLED. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/epp_TransferStatusType.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `epp_DomainTransferRsp`, `epp_ContactTransferRsp`

  ## Field Summary
  `static epp_TransferStatusType` | `CLIENT_APPROVED` Instance of epp_TransferStatusType representing the CLIENT_APPROVED status type.
  `static epp_TransferStatusType` | `CLIENT_CANCELLED` Instance of epp_TransferStatusType representing the CLIENT_CANCELLED status type.
  `static epp_TransferStatusType` | `CLIENT_REJECTED` Instance of epp_TransferStatusType representing the CLIENT_REJECTED status type.
  `static epp_TransferStatusType` | `PENDING` Instance of epp_TransferStatusType representing the PENDING status type.
  `static epp_TransferStatusType` | `SERVER_APPROVED` Instance of epp_TransferStatusType representing the SERVER_APPROVED status type.
  `static epp_TransferStatusType` | `SERVER_CANCELLED` Instance of epp_TransferStatusType representing the SERVER_CANCELLED status type.
  `static int` | `_CLIENT_APPROVED` Integer value representing the CLIENT_APPROVED transfer status type.
  `static int` | `_CLIENT_CANCELLED` Integer value representing the CLIENT_CANCELLED transfer status type.
  `static int` | `_CLIENT_REJECTED` Integer value representing the CLIENT_REJECTED transfer status type.
  `static int` | `_PENDING` Integer value representing the PENDING transfer status type.
  `static int` | `_SERVER_APPROVED` Integer value representing the SERVER_APPROVED transfer status type.
  `static int` | `_SERVER_CANCELLED` Integer value representing the SERVER_CANCELLED transfer status type.

  ## Constructor Summary
  `epp_TransferStatusType(int value)` For internal use only.

  ## Method Summary
  `static epp_TransferStatusType` | `from_int(int value)` Transform an integer into a epp_TransferStatusType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the type of transfer status.

## Field Details

### CLIENT_APPROVED

    public static final epp_TransferStatusType CLIENT_APPROVED

> Instance of epp_TransferStatusType representing the CLIENT_APPROVED status type.
> See Also:
>   `epp_DomainTransferRsp`

### CLIENT_CANCELLED

    public static final epp_TransferStatusType CLIENT_CANCELLED

> Instance of epp_TransferStatusType representing the CLIENT_CANCELLED status type.
> See Also:
>   `epp_DomainTransferRsp`

### CLIENT_REJECTED

    public static final epp_TransferStatusType CLIENT_REJECTED

> Instance of epp_TransferStatusType representing the CLIENT_REJECTED status type.
> See Also:
>   `epp_DomainTransferRsp`

### PENDING

    public static final epp_TransferStatusType PENDING

> Instance of epp_TransferStatusType representing the PENDING status type.
> See Also:
>   `epp_DomainTransferRsp`

### SERVER_APPROVED

    public static final epp_TransferStatusType SERVER_APPROVED

> Instance of epp_TransferStatusType representing the SERVER_APPROVED status type.
> See Also:
>   `epp_DomainTransferRsp`

### SERVER_CANCELLED

    public static final epp_TransferStatusType SERVER_CANCELLED

> Instance of epp_TransferStatusType representing the SERVER_CANCELLED status type.
> See Also:
>   `epp_DomainTransferRsp`

### _CLIENT_APPROVED

    public static final int _CLIENT_APPROVED

> Integer value representing the CLIENT_APPROVED transfer status type.
> Field Value:
>   0
> See Also:
>   `CLIENT_APPROVED`

### _CLIENT_CANCELLED

    public static final int _CLIENT_CANCELLED

> Integer value representing the CLIENT_CANCELLED transfer status type.
> Field Value:
>   1
> See Also:
>   `CLIENT_CANCELLED`

### _CLIENT_REJECTED

    public static final int _CLIENT_REJECTED

> Integer value representing the CLIENT_REJECTED transfer status type.
> Field Value:
>   2
> See Also:
>   `CLIENT_REJECTED`

### _PENDING

    public static final int _PENDING

> Integer value representing the PENDING transfer status type.
> Field Value:
>   3
> See Also:
>   `PENDING`

### _SERVER_APPROVED

    public static final int _SERVER_APPROVED

> Integer value representing the SERVER_APPROVED transfer status type.
> Field Value:
>   4
> See Also:
>   `SERVER_APPROVED`

### _SERVER_CANCELLED

    public static final int _SERVER_CANCELLED

> Integer value representing the SERVER_CANCELLED transfer status type.
> Field Value:
>   5
> See Also:
>   `SERVER_CANCELLED`

## Constructor Details

### epp_TransferStatusType

    protected epp_TransferStatusType(int value)

> For internal use only. Initializes the internal transfer status type array.
> Parameters:
>   `value` - The integer value for the desired transfer status type

## Method Details

### from_int

    public static epp_TransferStatusType from_int(int value)

> Transform an integer into a epp_TransferStatusType constant. Given the integer representation of the status type, returns one of the status type constants.
> Parameters:
>   `value` - The integer value for the desired status type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the type of transfer status.
> Returns:
>   The integer value of this transfer status type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS